产品介绍

蛮犀安全源码加固编译器是一款源代码高级混淆的工具,采用LLVM编译器技术实现,将C/C++等源代码编译成二进制代码过程中对源码进行高强度的保护,对C/C++源码,与普通编译器相似,可将C/C++源代码编译成二进制代码,不同之处在于,蛮犀安全源代码加固编译器在编译的时候,能够对代码进行七项安全处理:控制流平坦、不透明谓词混淆、等价指令替换、控制流间接化、基本快调度、字符串加密、基本快调度、分裂基本快,从而保护C/C++代码的数据流和逻辑的保护。

产品特点

  • 混淆复杂度高

    通过核心算法混淆代码,使程序执行流程难以分析,保护源代码抵御主流调试器,避免动态分析执行中的代码。
  • 无感知加固

    通过采用蛮犀安全编译器,在企业代码编译过程中进行加固,让使用者无感知即可完成加固操作,减小使用者学习、使用成本。
  • 部署灵活方便

    使用者通过集成插件形式进行使用,使用者可自行部署,与常规开发工具使用类似,简单操作即可部署集成。
  • 加固影响小

    对原程序混淆增量少,对原程序执行性能影响很小。